package cn.com.poc.data_analyze.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for MemberAgentUsageDetailsQuery
 */
@Entity
public class MemberAgentUsageDetailsQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** owner
    *owner
    */ 
    private java.lang.String owner;
    
    @Column(name = "owner")
    public java.lang.String getOwner(){
        return this.owner;
    }
    
    public void setOwner(java.lang.String owner){
        this.owner = owner;
    }
    
    /** agent_title
    *agent_title
    */ 
    private java.lang.String agentTitle;
    
    @Column(name = "agent_title")
    public java.lang.String getAgentTitle(){
        return this.agentTitle;
    }
    
    public void setAgentTitle(java.lang.String agentTitle){
        this.agentTitle = agentTitle;
    }
    
    /** usage_count
    *usage_count
    */ 
    private java.lang.Long usageCount;
    
    @Column(name = "usage_count")
    public java.lang.Long getUsageCount(){
        return this.usageCount;
    }
    
    public void setUsageCount(java.lang.Long usageCount){
        this.usageCount = usageCount;
    }
    
    /** total_points
    *total_points
    */ 
    private java.lang.Double totalPoints;
    
    @Column(name = "total_points")
    public java.lang.Double getTotalPoints(){
        return this.totalPoints;
    }
    
    public void setTotalPoints(java.lang.Double totalPoints){
        this.totalPoints = totalPoints;
    }
    
    /** last_usage_time
    *last_usage_time
    */ 
    private java.util.Date lastUsageTime;
    
    @Column(name = "last_usage_time")
    public java.util.Date getLastUsageTime(){
        return this.lastUsageTime;
    }
    
    public void setLastUsageTime(java.util.Date lastUsageTime){
        this.lastUsageTime = lastUsageTime;
    }
    
    /** publish_status
    *publish_status
    */ 
    private java.lang.String publishStatus;
    
    @Column(name = "publish_status")
    public java.lang.String getPublishStatus(){
        return this.publishStatus;
    }
    
    public void setPublishStatus(java.lang.String publishStatus){
        this.publishStatus = publishStatus;
    }
    
} 